org.jbpm.compiler.xml.processes

## Class WorkItemNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.compiler.xml.processes.AbstractNodeHandler
    - - org.jbpm.compiler.xml.processes.WorkItemNodeHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler
  Direct Known Subclasses:
    HumanTaskNodeHandler

      public class WorkItemNodeHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `EOL`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkItemNodeHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode()`
    `Class<?>` | `generateNodeFor()`
    `void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `visitInMappings(Map<String,String> inMappings, StringBuilder xmlDump)`
    `protected void` | `visitOutMappings(Map<String,String> outMappings, StringBuilder xmlDump)`
    `protected void` | `visitParameters(WorkItemNode workItemNode, StringBuilder xmlDump)`
    `protected void` | `visitWork(Work work, StringBuilder xmlDump, boolean includeMeta)`
    `void` | `writeNode(Node node, StringBuilder xmlDump, boolean includeMeta)`

    - ### Methods inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `containsMetaData, end, endNode, endNode, extractAction, handleAction, initValidParents, initValidPeers, start, writeAction, writeActions, writeMetaData, writeNode, writeTimers`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### WorkItemNodeHandler

          public WorkItemNodeHandler()

  - ### Method Detail

    - #### handleNode

          public void handleNode(Node node,
                                 Element element,
                                 String uri,
                                 String localName,
                                 org.drools.core.xml.ExtensibleXmlParser parser)
                          throws SAXException

      Overrides:
        `handleNode` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class<?> generateNodeFor()

    - #### writeNode

          public void writeNode(Node node,
                                StringBuilder xmlDump,
                                boolean includeMeta)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`

    - #### visitParameters

          protected void visitParameters(WorkItemNode workItemNode,
                                         StringBuilder xmlDump)

    - #### visitInMappings

          protected void visitInMappings(Map<String,String> inMappings,
                                         StringBuilder xmlDump)

    - #### visitOutMappings

          protected void visitOutMappings(Map<String,String> outMappings,
                                          StringBuilder xmlDump)

    - #### visitWork

          protected void visitWork(Work work,
                                   StringBuilder xmlDump,
                                   boolean includeMeta)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.